Changeset 7353


Ignore:
Timestamp:
Jun 5, 2018, 1:07:05 PM (16 months ago)
Author:
jrpelegrina
Message:

Deleted files for the zenity version of the zomando

Location:
zero-lliurex-installers/trunk/fuentes
Files:
116 added
13 deleted
25 edited

Legend:

Unmodified
Added
Removed
  • zero-lliurex-installers/trunk/fuentes/debian/changelog

    r6975 r7353  
     1zero-lliurex-installers (0.148.9) xenial; urgency=medium
     2
     3  * Fixed zero-lliurex-skype install file
     4
     5 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Thu, 31 May 2018 13:52:23 +0200
     6
     7zero-lliurex-installers (0.148.8) xenial; urgency=medium
     8
     9  * Fixed zero-lliurex-resources app files
     10
     11 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Wed, 30 May 2018 16:50:07 +0200
     12
     13zero-lliurex-installers (0.148.7) xenial; urgency=medium
     14
     15  * Fixed metainfo of Mixxx
     16
     17 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Tue, 22 May 2018 13:59:54 +0200
     18
     19zero-lliurex-installers (0.148.6) xenial; urgency=medium
     20
     21  * Added Mixxx installer with EPI
     22
     23 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Tue, 22 May 2018 12:53:02 +0200
     24
     25zero-lliurex-installers (0.148.5) xenial; urgency=medium
     26
     27  * Fixed control file: added resources-launches as a dependency of zero-lliurex-recursos
     28
     29 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Fri, 18 May 2018 10:26:26 +0200
     30
     31zero-lliurex-installers (0.148.4) xenial; urgency=medium
     32
     33  * Fixed sources.list for zero-lliurex-recursos
     34
     35 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Thu, 17 May 2018 14:02:29 +0200
     36
     37zero-lliurex-installers (0.148.3) xenial; urgency=medium
     38
     39  * Migrated zero-lliurex-recursos to EPI
     40
     41 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Wed, 16 May 2018 09:47:43 +0200
     42
     43zero-lliurex-installers (0.148.2) xenial; urgency=medium
     44
     45  * Fixed zero-lliurex-resources translations
     46
     47 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Mon, 14 May 2018 12:33:20 +0200
     48
     49zero-lliurex-installers (0.148.1) xenial; urgency=medium
     50
     51  * Fixed control
     52
     53 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Fri, 27 Apr 2018 11:24:54 +0200
     54
     55zero-lliurex-installers (0.148) xenial; urgency=medium
     56
     57  * Implemented changes to use EPI
     58  * Updated categorization
     59
     60 -- Juan Ramon Pelegrina <juapesai@hotmail.com>  Fri, 27 Apr 2018 09:44:06 +0200
     61
    162zero-lliurex-installers (0.146-2) xenial; urgency=medium
    263
  • zero-lliurex-installers/trunk/fuentes/debian/control

    r6170 r7353  
    1717 Zero-center Controller for stat reporting agent
    1818
     19Package: zero-lliurex-chromecast
     20Architecture: all
     21Section: x11
     22Depends: zero-center, llxcfg-runtime, epi-gtk
     23Description: Mkchromecast installer
     24 Zero-center helper, It installs Mkchromecast client on Lliurex
     25 
     26Package: zero-lliurex-dropbox-installer
     27Architecture: all
     28Section: x11
     29Depends: zero-center, llxcfg-runtime, epi-gtk
     30Description: Automate dropbox client installation
     31 Automate dropbox client installation
     32 
    1933Package: zero-lliurex-dvdcss
    2034Architecture: all
    2135Section: x11
    22 Depends: zero-center, gdebi, wget, llxcfg-runtime
     36Depends: zero-center, gdebi, wget, llxcfg-runtime, epi-gtk
    2337Conflicts: lliurex-zero-installer-dvdcss
    2438Replaces: lliurex-zero-installer-dvdcss (<=0.126.5)
     
    2741Description: Extra codecs installer
    2842 Zero-center helper, It downloads and installs codecs for DVD package
    29 
     43 
    3044Package: zero-lliurex-fonts
    3145Architecture: all
    3246Section: x11
    33 Depends: zero-center, llxcfg-runtime
     47Depends: zero-center, llxcfg-runtime, epi-gtk
    3448Conflicts: zero-installer-fonts
    3549Replaces: zero-installer-fonts (<=0.126.5)
     
    3852Description: Extra fonts installer
    3953 Zero-center helper, It downloads and installs extra-fonts package
    40 
     54 
    4155Package: zero-lliurex-hotpotatoes
    4256Architecture: all
    4357Section: x11
    44 Depends: zero-center, llxcfg-runtime
     58Depends: zero-center, llxcfg-runtime, epi-gtk
    4559Conflicts: lliurex-zero-installer-hotpotatoes
    4660Replaces: lliurex-zero-installer-hotpotatoes (<=0.126.5)
     
    4963Description: Hotpotatoes installer
    5064 Hotpotatoes installer for resources
    51 
     65 
    5266Package: zero-lliurex-kiosko
    5367Architecture: all
     
    7589Architecture: all
    7690Section: x11
    77 Depends: zero-center, llxcfg-runtime
     91Depends: zero-center, llxcfg-runtime, epi-gtk
    7892Conflicts: lliurex-zero-installer-midicss
    7993Replaces: lliurex-zero-installer-midicss (<=0.126.5)
     
    8296Description: MIDI codecs installer
    8397 Zero-center helper, It installs codecs for MIDI package
    84 
     98   
     99Package: zero-lliurex-mixxx
     100Architecture: all
     101Section: x11
     102Depends: zero-center, llxcfg-runtime, epi-gtk
     103Description: Mixxx installer
     104 Zero-center helper, It installs mixxx on Lliurex
     105 
    85106Package: zero-lliurex-moodle
    86107Architecture: all
    87108Section: x11
    88 Depends: zero-center, llxcfg-runtime
     109Depends: zero-center, llxcfg-runtime, epi-gtk
    89110Description: zero-center installer for Moodle
    90111 Advanced packages for distribution
    91 
     112 
    92113Package: zero-lliurex-msad
    93114Architecture: all
     
    112133Description: zero-center installer for notebook
    113134 Remove notebook bar
     135 
     136Package: zero-lliurex-ocrfeeder
     137Architecture: all
     138Section: x11
     139Depends: zero-center, llxcfg-runtime, epi-gtk
     140Description: OCRFeeder installer
     141 Is an optical character recognition suite
    114142
    115143Package: zero-lliurex-open-sysclone
     
    123151Description: Lliurex Open-SysClone
    124152 Clone Pc's to rescue.
    125 
     153 
     154Package: zero-lliurex-promethean
     155Architecture: all
     156Section: x11
     157Depends: zero-center, llxcfg-runtime, linux-headers-generic, epi-gtk
     158Description: Drivers fro promethean installer
     159 Zero-center helper, It installs the drivers for the prometean boards
     160 
    126161Package: zero-lliurex-pyromaths
    127162Architecture: all
    128163Section: x11
    129 Depends: zero-center, llxcfg-runtime
     164Depends: zero-center, llxcfg-runtime, epi-gtk
    130165Conflicts: lliurex-zero-installer-pyromaths
    131166Replaces: lliurex-zero-installer-pyromaths (<=0.126.5)
     
    133168Provides: lliurex-zero-installer-pyromaths
    134169Description: Pyromaths installer
    135  Zero-center helper, It downloads and installs python-pyromaths package
    136 
     170 Zero-center helper, It downloads and installs python-pyromaths package 
     171 
    137172Package: zero-lliurex-recursos
    138173Architecture: all
    139174Section: x11
    140 Depends: zero-center, llxcfg-runtime
     175Depends: zero-center, llxcfg-runtime, epi-gtk, resources-launcher
    141176Conflicts: lliurex-zero-installer-recursos
    142177Replaces: lliurex-zero-installer-recursos (<=0.126.5)
     
    157192 SALT installer for zero-center.
    158193
     194Package: zero-lliurex-skype
     195Architecture: all
     196Section: x11
     197Depends: zero-center, llxcfg-runtime, epi-gtk
     198Description: Skype installer
     199 Zero-center helper, It installs skype on Lliurex
     200 
     201Package: zero-lliurex-spotify
     202Architecture: all
     203Section: x11
     204Depends: zero-center, llxcfg-runtime, epi-gtk
     205Description: Spotify client installer
     206 Zero-center helper, It installs Spotify client on Lliurex
     207 
    159208Package: zero-lliurex-technology
    160209Architecture: all
    161210Section: x11
    162 Depends: zero-center, llxcfg-runtime
     211Depends: zero-center, llxcfg-runtime, epi-gtk
    163212Description: Lliurex Technology lab
    164213 Install packages for a Techonolgy laboratory
    165 
     214 
     215Package: zero-lliurex-telegram
     216Architecture: all
     217Section: x11
     218Depends: zero-center, llxcfg-runtime, epi-gtk
     219Description: Telegram installer
     220 Zero-center helper, It installs telegram on Lliurex
     221 
    166222Package: zero-lliurex-wine64
    167223Architecture: amd64
    168224Section: x11
    169 Depends: zero-center, llxcfg-runtime
     225Depends: zero-center, llxcfg-runtime, epi-gtk
    170226Conflicts: lliurex-zero-installer-wine64
    171227Replaces: lliurex-zero-installer-wine64 (<=0.126.5)
     
    175231 Zero-center helper, It installs wine on amd64
    176232
    177 Package: zero-lliurex-telegram
    178 Architecture: all
    179 Section: x11
    180 Depends: zero-center, llxcfg-runtime
    181 Description: Telegram installer
    182  Zero-center helper, It installs telegram on Lliurex
    183 
    184 Package: zero-lliurex-dropbox-installer
    185 Architecture: all
    186 Section: x11
    187 Depends: zero-center, llxcfg-runtime
    188 Description: Automate dropbox client installation
    189  Automate dropbox client installation
    190 
    191 Package: zero-lliurex-skype
    192 Architecture: all
    193 Section: x11
    194 Depends: zero-center, llxcfg-runtime
    195 Description: Skype installer
    196  Zero-center helper, It installs skype on Lliurex
    197  
    198 Package: zero-lliurex-spotify
    199 Architecture: all
    200 Section: x11
    201 Depends: zero-center, llxcfg-runtime
    202 Description: Spotify client installer
    203  Zero-center helper, It installs Spotify client on Lliurex
    204 
    205 Package: zero-lliurex-promethean
    206 Architecture: all
    207 Section: x11
    208 Depends: zero-center, llxcfg-runtime, linux-headers-generic
    209 Description: Drivers fro promethean installer
    210  Zero-center helper, It installs the drivers for the prometean boards
  • zero-lliurex-installers/trunk/fuentes/rsrc/Makefile

    r3611 r7353  
    55
    66FILES:=$(patsubst %.svg,%.png,$(wildcard *.svg))
    7 
     7DIRS:=$(wildcard ../*)
    88       
    99all: $(FILES)
     
    1313        inkscape $< -z -e=$@ 2>/dev/null
    1414
     15        case "$(patsubst %.png,%.install,$@)" in zero-lliurex-recursos-*) if [ ! -e ../$(patsubst %.png,%.install,$@) ];then ln -s zero-lliurex-recursos.install ../$(patsubst %.png,%.install,$@); fi ;; esac
    1516        @echo -e '$(BUILD_COLOR)* Copying $@ to ../$(patsubst %.png,%.install,$@)/usr/share/banners/lliurex-neu/$(NO_COLOR)'
    1617        cp $@ ../$(patsubst %.png,%.install,$@)/usr/share/banners/lliurex-neu/
    1718       
    1819clean:
    19         @echo -e '$(CLEAN_COLOR)* Cleaning...$(NO_COLOR)' 
     20        @echo -e '$(CLEAN_COLOR)* Cleaning...$(NO_COLOR)'
    2021        rm -rf $(patsubst %.svg,%.png,$(wildcard *.svg))
    2122       
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-dropbox-installer.zmds/zero-lliurex-dropbox-installer.app

    r5670 r7353  
    88Comment[ca_ES]=Instal·lació del cliente Dropbox per a Lliurex
    99Icon=zero-lliurex-dropbox-installer
    10 Category=Software
     10Category=Internet
    1111ScriptPath=zero-lliurex-dropbox-installer.zmd
    1212Using=pe
    1313Locks=zero-lliurex-dropbox-installer
    14 Groups=adm;admin;admins;teacher
    15 Service=Trues
     14Groups=adm;admin;admins;teachers
     15Service=True
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-dropbox-installer.zmds/zero-lliurex-dropbox-installer.zmd

    r5631 r7353  
    11#!/bin/bash
    2 #set -x
    32
    4 URL="https://www.dropbox.com/download?plat=lnx."
    5 export TEXTDOMAIN="zero-lliurex-dropbox-installer"
    6 
    7 OK_LABEL=$(gettext 'Accept')
    8 CANCEL_LABEL=$(gettext 'Cancel')
    9 BTN_TXT="--ok-label=$OK_LABEL --cancel-label=$CANCEL_LABEL"
    10 
    11 if [[ "$(arch)" == "x86_64" ]]
    12 then
    13         URL="${URL}x86_64"
    14 else
    15         URL="${URL}x86"
    16 fi
    17 
    18 zero-center add-pulsating-color zero-lliurex-dropbox-installer
    19 zenity --question --title="Dropbox client installer" --text="$(gettext "Welcome to Dropbox client installer for Llurex\nThis will install Dropbox client on your computer. Continue?\n")" $BTN_TXT
    20 if [ $? -eq 0 ]
    21 then
    22         echo "$(gettext Downloading client...)"
    23         USERHOME=$(getent passwd $USER | cut -f6 -d ':')
    24         BINDIR=$USERHOME"/.local/bin"
    25         DESTDIR=$BINDIR"/dropbox"
    26         mkdir -p $DESTDIR
    27         curl --progress-bar -o /tmp/drclient.tgz -L $URL
    28         if [ $? -eq 0 ]
    29         then
    30                 cd $DESTDIR
    31                 tar xfz /tmp/drclient.tgz
    32                 chown -vR $USER:$USER $BINDIR 2>/dev/null > /dev/null
    33                 if [ $? -eq 0 ]
    34                 then
    35                     zero-installer install caja-dropbox
    36                     if [ $? -eq 0 ];then
    37                         su -c "notify-send -t 2000 -u normal -i /usr/share/icons/Vibrancy-Colors/apps/48/zero-center.png 'Zero-Installer' '$(gettext "Package Dropbox client has been installed in your system")'" $USER
    38                         zero-center set-configured zero-lliurex-dropbox-installer
    39                         su $USER -c "$DESTDIR/.dropbox-dist/dropboxd >/dev/null 2>/dev/null " &
    40                         rm -f /tmp/drclient.tgz
    41                     else
    42                         su -c "notify-send -t 2000 -u critical -i /usr/share/icons/Vibrancy-Colors/apps/48/zero-center.png 'Zero-Installer' '$(gettext "Package Dropbox client is not installed in your system, please  retry again or contact with Lliurex Team at") http://mestreacasa.gva.es/web/lliurex/forums'" $USER
    43                         rm -f /tmp/drclient.tgz
    44                         rm -r $DESTDIR
    45                     fi
    46                 else
    47                     su -c "notify-send -t 2000 -u critical -i /usr/share/icons/Vibrancy-Colors/apps/48/zero-center.png 'Zero-Installer' '$(gettext "Package Dropbox client is not installed in your system, please  retry again or contact with Lliurex Team at") http://mestreacasa.gva.es/web/lliurex/forums'" $USER
    48                     rm -f /tmp/drclient.tgz
    49                     rm -r $DESTDIR
    50                 fi
    51         else
    52                 su -c "notify-send -t 2000 -u critical -i /usr/share/icons/Vibrancy-Colors/apps/48/zero-center.png 'Zero-Installer' '$(gettext "Package Dropbox client is not installed in your system, please  retry again or contact with Lliurex Team at") http://mestreacasa.gva.es/web/lliurex/forums'" $USER
    53                 rm -r $DESTDIR
    54         fi
    55        
    56 fi
    57 zero-center remove-pulsating-color zero-lliurex-dropbox-installer
    58 exit 0
     3epi-gtk /usr/share/zero-lliurex-dropbox/dropbox-client.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-dvdcss.zmds/zero-lliurex-dvdcss.app

    r3616 r7353  
    88Comment[ca_ES]=Baixa i instal·la els còdecs per a DVD
    99Icon=zero-lliurex-dvdcss
    10 Category=Software
     10Category=Support
    1111Groups=admin;admins;teachers;adm
    1212ScriptPath=zero-lliurex-dvdcss.zmd
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-dvdcss.zmds/zero-lliurex-dvdcss.zmd

    r4923 r7353  
    11#!/bin/sh
    2 # Shell script to install libdvdcss under Debian GNU Linux
    3 # Many DVDs use css for encryption.  To play these discs, a special library
    4 # is needed to decode them, libdvdcss.  Due to legal problems, Debian and most
    5 # Linux distibutions cannot distribute libdvdcss
    6 # Use this shell script to install the libdvdcss under DEBIAN GNU/Linux
    7 # --------------------------------------------------------------------------
    8 # Refer url for more info:
    9 # Copyright info -  http://www.dtek.chalmers.se/~dvd/
    10 # -------------------------------------------------------------------------
    11 # This script is part of nixCraft shell script collection (NSSC)
    12 # Visit http://bash.cyberciti.biz/ for more information.
    13 # -------------------------------------------------------------------------
    14 # Addition of checking for current version.  Gene Cumm <gene.cumm@gmail.com>
    15 # -------------------------------------------------------------------------
    162
    17 #MSG_NO_INTERNET=$(gettext "No Internet Connection has been detected. Please, check it")
    18 
    19 
    20 # Script messages l10n
    21 
    22 # Detects which language is set
    23 _langrc=0
    24 echo $LANGUAGE | grep -q "^ca_ES" || _langrc=1
    25 
    26 # All message strings in both languages
    27 ES_SELECTIONMSG="Seleccione el directorio donde desea guardar el paquete"
    28 VA_SELECTIONMSG="Trieu el directori on voleu guardar el paquet"
    29 ES_COPIEDMSG="El archivo se ha copiado correctamente"
    30 VA_COPIEDMSG="El fitxer s'ha copiat correctament"
    31 ES_ERRORSELMSG="No ha seleccionado ningún archivo"
    32 VA_ERRORDOWN="No s'ha descarregat cap fitxer, comproveu la vostra connexió a Internet"
    33 ES_ERRORDOWN="No se ha descargado ningún archivo, comprovar vuestra conexión a Internet"
    34 VA_ERRORSELMSG="No heu seleccionat cap fitxer"
    35 ES_PKGSELMSG="Seleccione el paquete que desea instalar"
    36 VA_PKGSELMSG="Trieu el paquet que voleu instal·lar"
    37 ES_ACTIVATIONMSG="Visualización de DVD originales activada"
    38 VA_ACTIVATIONMSG="S'ha activat la visualització de DVD originals"
    39 ES_SELECTMSG="Escoja la acción que desea realizar"
    40 VA_SELECTMSG="Trieu l'acció que voleu realitzar"
    41 ES_DLDSETUPMSG="Descargar paquete e instalar"
    42 VA_DLDSETUPMSG="Baixa el paquet i instal·la'l"
    43 ES_DLDSAVEMSG="Descargar paquete y guardar"
    44 VA_DLDSAVEMSG="Baixa el paquet i guarda'l"
    45 ES_SELECTSETUPMSG="Seleccionar paquete (local) e instalarlo"
    46 VA_SELECTSETUPMSG="Selecciona el paquet (local) i instal·la'l"
    47 ES_MSG_NO_INTERNET="No se ha detectado conexión a Internet. Por favor, compruébelo"
    48 VA_MSG_NO_INTERNET="No s'ha detectat connexió a Internet. Per favor, comprove-ho"
    49 ES_MSG_INSTALLING="Instalando DVD - CODECS......."
    50 VA_MSG_INSTALLING="Instal·lant DVD - CÒDECS......."
    51 
    52 
    53 # Valencian is selected by default
    54 SELECTIONMSG="$VA_SELECTIONMSG"
    55 COPIEDMSG="$VA_COPIEDMSG"
    56 ERRORSELMSG="$VA_ERRORSELMSG"
    57 ERRORDOWN="$VA_ERRORDOWN"
    58 PKGSELMSG="$VA_PKGSELMSG"
    59 ACTIVATIONMSG="$VA_ACTIVATIONMSG"
    60 SELECTMSG="$VA_SELECTMSG"
    61 DLDSETUPMSG="$VA_DLDSETUPMSG"
    62 DLDSAVEMSG="$VA_DLDSAVEMSG"
    63 SELECTSETUPMSG="$VA_SELECTSETUPMSG"
    64 MSG_NO_INTERNET="$VA_MSG_NO_INTERNET"
    65 MSG_INSTALLING="$VA_MSG_INSTALLING"
    66 
    67 # But they could change if Spanish is detected
    68 if [ $_langrc -eq 1 ] ; then
    69         SELECTIONMSG="$ES_SELECTIONMSG"
    70         COPIEDMSG="$ES_COPIEDMSG"
    71         ERRORSELMSG="$ES_ERRORSELMSG"
    72         PKGSELMSG="$ES_PKGSELMSG"
    73         ACTIVATIONMSG="$ES_ACTIVATIONMSG"
    74         SELECTMSG="$ES_SELECTMSG"
    75         DLDSETUPMSG="$ES_DLDSETUPMSG"
    76         DLDSAVEMSG="$ES_DLDSAVEMSG"
    77         SELECTSETUPMSG="$ES_SELECTSETUPMSG"
    78         MSG_NO_INTERNET="$ES_MSG_NO_INTERNET"
    79         MSG_INSTALLING="$ES_MSG_INSTALLING"
    80 fi
    81 
    82 
    83 sitert=http://download.videolan.org/
    84 site=${sitert}pub/debian/stable/
    85 arch=$(dpkg --print-architecture)
    86 
    87 CSSTMP=$(mktemp -t -d dvdcss-XXXXXX)
    88 
    89 soname=2
    90 uversion=1.2.13
    91 available="i386 amd64"
    92 version=${uversion}-0
    93 
    94 DESTINO="/home/"$SUDO_USER"/"
    95 
    96 # Downloads the package list and greps the most recent package to download and save it in $CSSTMP folder as libdvdcss.deb
    97 downloadcss()
    98 {
    99         rc=0
    100         wget "${site}/Packages" -O "$CSSTMP"/Packages && \
    101         url=${site}$(grep "Filename: .*libdvdcss${soname}.*${arch}.*\.deb" "$CSSTMP"/Packages|sed  's/Filename: //'|head -n 1) && \
    102         #wget "${url}" -O "$CSSTMP"/libdvdcss.deb || rc=1
    103         zero-lliurex-axel -u "${url}" "$CSSTMP" libdvdcss.deb
    104        
    105         if [ $rc -eq 1 ]; then
    106          zenity --error --text="$ERRORDOWN"
    107          exit 1
    108         fi
    109 }
    110 
    111 # Copies $CSSTMP/libdvdcss.deb to the user selected location
    112 savecss()
    113 {
    114          FILE=`zenity --file-selection --save --filename=$DESTINO"libdvdcss.deb" --title="$SELECTIONMSG"`
    115 
    116         case $? in
    117                 0)      cp $CSSTMP"/libdvdcss.deb" $FILE &&  zenity --info "\"$FILE\"" --text="$COPIEDMSG";;
    118 
    119                 1)      zenity --error --text="$ERRORSELMSG";;
    120 
    121                -1)      zenity --error --text="$ERRORSELMSG";;
    122         esac
    123 }
    124 
    125 # Copies the user selected package to $CSSTMP/libdvdcss.deb
    126 copycss()
    127 {
    128          FILE=`zenity --file-selection --filename=$DESTINO"libdvdcss.deb" --title="$PKGSELMSG"`
    129 
    130         case $? in
    131                 0)     cp $FILE $CSSTMP ;;
    132 
    133                 1)      zenity --error --text="$ERRORSELMSG";;
    134 
    135                -1)  zenity --error --text="$ERRORSELMSG";;
    136         esac
    137 }
    138 
    139 # Installs libdvdcss package
    140 installcss()
    141 {
    142         #gdebi -n "$CSSTMP"/libdvdcss.deb && zenity --info --text="$ACTIVATIONMSG" && zero-center set-configured  lliurex-zero-installer-dvdcss
    143        
    144        
    145          #En segundo plano realizaremos la instalacion del paquete almacenando su salida en nuestro log, eliminando nuestro fichero ayuda para salir del bucle.
    146          #Log para el zero-center
    147                 touch /tmp/zero-install.log
    148                 if [ -f /tmp/zero-installer.log ]; then
    149                         rm  /tmp/zero-installer.log
    150                 fi
    151                 (gdebi -n "$CSSTMP"/libdvdcss.deb >> /tmp/zero-installer.log ; rm /tmp/zero-install.log) &
    152                 echo "................................................................................." >> /tmp/zero-installer.log
    153                 echo " " >> /tmp/zero-installer.log
    154                 echo "Zero-center-------Your instruction is----------gdebi -n "$CSSTMP"/libdvdcss.deb" >> /tmp/zero-installer.log
    155                 echo "................................................................................." >> /tmp/zero-installer.log
    156 
    157                 #Mientras que el fichero de ayuda existe es que estamos instalando
    158                 #Cuando ya no exista saldremos del while
    159                         while [ -f  "/tmp/zero-install.log" ]; do
    160                                 #En la variable PERCENT almacenamos el tanto por cien que llevamos de descarga
    161                                 #accediento a la ultima linea escrita en el fichero de ayuda y seleccionando solo el dato que necesitamos.
    162                                 VAR=$( tail -1 /tmp/zero-installer.log  2>/dev/null )
    163                                 #Hacemos echo de los datos que necesita el zenity
    164                                 echo "#$MSG_INSTALLING $VAR" | cut -c1-85
    165                                 #echo "#Installing DVD - CODECS.......$VAR" | cut -c1-85
    166                                 #echo "Installing.......$VAR" | cut -c1-85
    167                                 #por ultimo entubamos la salida al zenity progress para que nos muestre el resultado en pantalla
    168                         done | zenity --progress  --auto-close --pulsate --width 500 --title="Zero-Center-Installer DVD - CODECS" --no-cancel > /dev/null 2>&1
    169                        
    170                 zenity --info --text="$ACTIVATIONMSG" > /dev/null 2>&1 &
    171                 zero-center set-configured  zero-lliurex-dvdcss
    172 }
    173 
    174 
    175 # Main menu
    176 zero-center add-pulsating-color zero-lliurex-dvdcss
    177 
    178 #Comprobar conexión a internet e instalar
    179 rc=0
    180 zero-testnet|| rc=1
    181 if [ $rc -eq 0 ]
    182         then
    183                        
    184                 resp=`zenity --list --radiolist --hide-header --width="500" --height="200" --title="$SELECTMSG" \
    185                         --column="Radio" --column="Number" --column="Action" \
    186                         TRUE 1 "$DLDSETUPMSG"  \
    187                         FALSE 2 "$DLDSAVEMSG" \
    188                         FALSE 3 "$SELECTSETUPMSG"`
    189 
    190                 case $resp in
    191                         1) downloadcss && installcss;;
    192                        
    193 
    194                         2) downloadcss && savecss;;
    195 
    196 
    197                         3) copycss && installcss;;
    198                 esac
    199                 zero-center remove-pulsating-color zero-lliurex-dvdcss
    200                 exit 0
    201         else
    202                 zenity --error --text="$MSG_NO_INTERNET"
    203                 zero-center remove-pulsating-color zero-lliurex-dvdcss
    204                 exit 1
    205 fi
     3epi-gtk /usr/share/zero-lliurex-dvdcss/dvdcss.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-fonts.zmds/zero-lliurex-fonts.app

    r3618 r7353  
    88Comment[ca_ES]=Alguns tipus de lletra escolars addicionals
    99Icon=zero-lliurex-fonts
    10 Category=Software
     10Category=Support
    1111ScriptPath=zero-lliurex-fonts.zmd
    1212Using=pe
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-fonts.zmds/zero-lliurex-fonts.zmd

    r3618 r7353  
    11#!/bin/bash
    2 PACKAGE_LIST="/usr/share/zero-lliurex-installers/zero-lliurex-fonts-packages"
    3 PACKAGE_NAME="School Fonts"
    42
    5 zero-center add-pulsating-color zero-lliurex-fonts
    6 zero-reinstall-list "$PACKAGE_LIST" "$PACKAGE_NAME"
    7 if [ $? -eq 0 ]
    8 then
    9         zero-center set-configured zero-lliurex-fonts
    10 fi
    11 
    12 zero-center remove-pulsating-color zero-lliurex-fonts
    13 
    14 exit 0
     3epi-gtk /usr/share/zero-lliurex-fonts/fonts.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-hotpotatoes.zmds/zero-lliurex-hotpotatoes.zmd

    r3616 r7353  
    11#!/bin/bash
    22
    3 #synaptic --hide-main-window --non-interactive  --set-selections-file /usr/share/lliurex-zero-installers/hotpotatoes-packages-remove
    4 #synaptic --hide-main-window --non-interactive  --set-selections-file /usr/share/lliurex-zero-installers/hotpotatoes-packages
    5 #PACKAGE_LIST="/usr/share/lliurex-zero-installers/hotpotatoes-packages"
    6 PACKAGE_NAME="hotpotatoes"
    7 
    8 zero-center add-pulsating-color zero-lliurex-hotpotatoes
    9 zero-reinstall "$PACKAGE_NAME"
    10 
    11 #Testeamos si todo se instalo como esperabamos, sino mostramos el error
    12         TEST=$( dpkg-query -s $PACKAGE_NAME 2> /dev/null| grep Status | cut -d " " -f 4 )
    13         if [ "$TEST" != 'installed' ]; then
    14                 zenity --info --title="Zero-installer" --text="Package $PACKAGE_NAME is not installed in your system, please retry again and test if you have acess to repositories in net, or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums" > /dev/null 2>&1 &
    15                 su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' 'Package $PACKAGE_NAME is not installed in your system, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums'" $USER
    16                 zero-center remove-pulsating-color zero-lliurex-hotpotatoes
    17                 zero-center set-non-configured zero-lliurex-hotpotatoes
    18                 exit 1         
    19         fi
    20 
    21 
    22 zero-center remove-pulsating-color zero-lliurex-hotpotatoes
    23 zero-center set-configured zero-lliurex-hotpotatoes
    24 #zenity --info --title="Zenity-installer" --text="Congratulations Hotpotatoes is installed in your system." &
    25 
    26 exit 0
     3epi-gtk /usr/share/zero-lliurex-hotpotatoes/hotpotatoes.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-midicss.zmds/zero-lliurex-midicss.app

    r3617 r7353  
    88Comment[ca_ES]=Baixa i instal·la els còdecs per a MIDI
    99Icon=zero-lliurex-midicss
    10 Category=Software
     10Category=Support
    1111Groups=admin;admins;teachers;adm
    1212ScriptPath=zero-lliurex-midicss.zmd
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-midicss.zmds/zero-lliurex-midicss.zmd

    r3617 r7353  
    11#!/bin/bash
    22
    3 export TEXTDOMAIN="zero-lliurex-midicss"
    4 MSG_NO_INTERNET=$(gettext "No Internet Connection has been detected. Please, check it")
    5 MSG_MIDITOTEM=$(gettext "Installing MIDI codecs for playback with TOTEM")
    6 MSG_MIDIVLC=$(gettext "Installing MIDI codecs for playback with VLC amb others")
    7 MSG_SELECT=$(gettext "Select the codecs to install")
    8 
    9 
    10 installcsstotem()
    11 {
    12 
    13         zero-repos-update
    14         zero-reinstall fluid-soundfont-gm
    15         zero-center set-configured  zero-lliurex-midicss
    16 }
    17 
    18 installcssvlc()
    19 {
    20 
    21         zero-repos-update
    22         zero-reinstall vlc-plugin-fluidsynth
    23         zero-center set-configured zero-lliurex-midicss
    24 
    25 }
    26 
    27 # Main menu
    28 zero-center add-pulsating-color zero-lliurex-midicss
    29 
    30 # Comprobar conexiónn a internet e instalar
    31 rc=0
    32 zero-testnet|| rc=1
    33 if [ $rc -eq 0 ]
    34         then
    35                        
    36                 resp=`zenity --list --radiolist --hide-header --width="500" --height="200" --title="$MSG_SELECT" \
    37                         --column="Radio" --column="Number" --column="Action" \
    38                         TRUE 1 "$MSG_MIDITOTEM"  \
    39                         FALSE 2 "$MSG_MIDIVLC"`
    40                        
    41 
    42                 case $resp in
    43                         1) installcsstotem;;
    44                         2) installcssvlc;;
    45                
    46                 esac
    47                 zero-center remove-pulsating-color zero-lliurex-midicss
    48                 exit 0
    49         else
    50                 zenity --error --text="$MSG_NO_INTERNET"
    51                 zero-center remove-pulsating-color zero-lliurex-midicss
    52                 exit 1
    53 fi
     3epi-gtk /usr/share/zero-lliurex-midicss/midicss.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-moodle.zmds/zero-lliurex-moodle.app

    r3622 r7353  
    1010Icon=zero-lliurex-moodle
    1111Groups=admin;admins;teachers;adm
    12 Category=Software
     12Category=Services
    1313ScriptPath=zero-lliurex-moodle.zmd
    1414Using=pe
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-moodle.zmds/zero-lliurex-moodle.zmd

    r4999 r7353  
    11#!/bin/bash
    22
    3 zero-center add-pulsating-color zero-lliurex-moodle
    4 
    5 export TEXTDOMAIN="zero-lliurex-moodle"
    6 MSG_INSTALLING_PROGRESS=$(gettext "Configurator Service for Moodle in LliureX")
    7 MSG_ADVERTISEMENT=$(gettext "Do you want install and configure Moodle for LliureX?")
    8 MSG_ZENITY_MOODLE_1=$(gettext "Testing Mysql....")
    9 MSG_MOODLE_MYSQL_PROBLEM=$(gettext "Mysql is not working properly")
    10 MSG_ZENITY_MOODLE_2=$(gettext "Creating a token....")
    11 MSG_MOODLE_AVISO=$(gettext "Activating new token")
    12 MSG_ZENITY_MOODLE_3=$(gettext "Linking Apache with Moodle....")
    13 MSG_ZENITY_MOODLE_4=$(gettext "Configuring DNS mask for Moodle in LliureX....")
    14 MSG_ZENITY_MOODLE_5=$(gettext "Linking LDAP with Moodle....")
    15 MSG_ZENITY_MOODLE_6=$(gettext "Restarting services to apply new configurations....")
    16 MSG_ZENITY_MOODLE_7=$(gettext "Configuring installed languages in Moodle....")
    17 MSG_MOODLE_INSTALLED=$(gettext "Moodle has been installed in your system. You can check it with firefox in this URL http://moodle")
    18 MSG_MOODLE_INSTALL_PROBLEM=$(gettext "Moodle has NOT been installed in your system. Please check the logs.")
    19 
    20 HELP_PROGRESS_BAR="/tmp/help_moodle_install.txt"
    21 
    22 if zenity --question --title="$MSG_INSTALLING_PROGRESS" --width=500 --height=100 --text="$MSG_ADVERTISEMENT"; then
    23         touch $HELP_PROGRESS_BAR
    24 else
    25         zero-center remove-pulsating-color zero-lliurex-moodle
    26         exit 1
    27 fi
    28 
    29 #zero-installer  install lliurex-preseed-moodle
    30 
    31 if [ ! -d "/etc/dbconfig-common" ]; then
    32      mkdir -p /etc/dbconfig-common   
    33 fi
    34 
    35 #init DB
    36 #/usr/sbin/lliurex-preseed --update || true
    37 
    38 zero-installer -l /usr/share/zero-lliurex-installers/zero-lliurex-moodle-packages
    39 
    40 if [ $? -ne 0 ]
    41 then
    42         echo "$MSG_MOODLE_INSTALL_PROBLEM"
    43         zenity --info --text="$MSG_MOODLE_INSTALL_PROBLEM" &
    44         rm $HELP_PROGRESS_BAR
    45         zero-center set-non-configured zero-lliurex-moodle
    46         zero-center remove-pulsating-color zero-lliurex-moodle
    47         exit 1
    48 fi
    49 ##if [ ! -d "/var/lib/moodle" ]; then
    50 ##      mkdir -p /var/lib/moodle
    51 ##      chown www-data:www-data /var/lib/moodle || true
    52 ##fi
    53 
    54 # Testing it MySQL is alive and the root passwd is available
    55 # "sudo" is mandatory here, I don't understand the correct reason...
    56 # if you are reading this comment, and know the answer...please contact with us
    57 #
    58 ##sudo mysql_root_passwd -i
    59 
    60 ##if [ $? -ne 0 ] ; then
    61 ##      echo "Mysql is not working properly"
    62 ##      exit 1
    63 ##fi
    64 
    65 
    66 # Since the 0.61 version, which is required by lliurex-pmb the lliurex-sgbd utility uses
    67 # a simple mechanism to create a token in /tmp/db_is_present , a more useful mechanism that "NO"
    68 # at STDOUT. 
    69 ##lliurex-sgbd --db_is_present lliurex-moodle
    70 ##if [ -f /tmp/db_is_present ]; then
    71 ##      lliurex-sgbd --install lliurex-moodle
    72 ##else
    73 ##      zenity --info --text="$MSG_AVISO"
    74 ##      lliurex-sgbd --upgrade lliurex-moodle
    75 ##fi
    76 
    77 
    78 ##if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
    79 
    80 ##      . /usr/share/apache2/apache2-maintscript-helper
    81 ##      apache2_invoke ensite moodle
    82 
    83 ##fi
    84 
    85 # create file moodle in /var/lib/dnsmasq/config
    86 ##if [ ! -d /var/lib/dnsmasq/config ]; then
    87 ##      mkdir -p /var/lib/dnsmasq/config
    88 ##fi
    89 
    90 ##INTERNA=$(n4d-vars getvalues INTERNAL_DOMAIN | cut -d"'" -f2)
    91 ##if [ -z $INTERNA ]; then
    92 ##      echo "Error al obtener INTERNAL_DOMAIN"
    93 ##      echo "Se deja sin configurar dnsmasq para moodle"
    94 ##else
    95 ##      if [ ! -d /var/lib/dnsmasq/config ]; then
    96 ##              mkdir -p /var/lib/dnsmasq/config
    97 ##      fi
    98 ##      hostname=$(hostname)
    99 ##      echo "cname=moodle."$INTERNA",$hostname."$INTERNA > /var/lib/dnsmasq/config/moodle
    100        
    101 ##fi
    102 
    103 #create ldap users in moodle
    104 ##if [ -n $INTERNA ]; then
    105 ##      /usr/bin/python /usr/share/lliurex-moodle/update_moodle_sql.py
    106 ##fi
    107 
    108 ##a2ensite moodle || true
    109 
    110 ##service apache2 restart || true
    111 
    112 ##service dnsmasq restart || true
    113 
    114 
    115 #######MAIN PROGRAM##########
    116 
    117 ( tail -f $HELP_PROGRESS_BAR
    118 ) |
    119 zenity --progress \
    120   --title="ZERO-MOODLE" \
    121   --text="$MSG_INSTALLING_PROGRESS" \
    122   --percentage=0 \
    123   --auto-close \
    124    --width=500 \
    125   --auto-kill &
    126  
    127 
    128  
    129 if [ ! -d "/var/lib/moodle" ]; then
    130         mkdir -p /var/lib/moodle
    131         chown www-data:www-data /var/lib/moodle || true
    132 fi
    133 sleep 2
    134 echo "10" >> $HELP_PROGRESS_BAR
    135 echo "# $MSG_ZENITY_MOODLE_1"   >> $HELP_PROGRESS_BAR
    136 # Testing it MySQL is alive and the root passwd is available
    137 # "sudo" is mandatory here, I don't understand the correct reason...
    138 # if you are reading this comment, and know the answer...please contact with us
    139 #
    140 sudo mysql_root_passwd -i
    141 
    142 if [ $? -ne 0 ] ; then
    143         echo "$MSG_MYSQL_PROBLEM"
    144         zenity --info --text="$MSG_MOODLE_MYSQL_PROBLEM" &
    145         rm $HELP_PROGRESS_BAR
    146         zero-center set-non-configured zero-lliurex-moodle   
    147         zero-center remove-pulsating-color zero-lliurex-moodle
    148         exit 1
    149 fi
    150 echo "20" >> $HELP_PROGRESS_BAR
    151 echo "# $MSG_ZENITY_MOODLE_2"  >> $HELP_PROGRESS_BAR
    152 # Since the 0.61 version, which is required by lliurex-pmb the lliurex-sgbd utility uses
    153 # a simple mechanism to create a token in /tmp/db_is_present , a more useful mechanism that "NO"
    154 # at STDOUT. 
    155 lliurex-sgbd --db_is_present lliurex-moodle
    156 if [ ! -f /tmp/db_is_present ]; then
    157         lliurex-sgbd --install lliurex-moodle
    158 else
    159         #zenity --info --text="$MSG_MOODLE_AVISO" &
    160         lliurex-sgbd --upgrade lliurex-moodle
    161 fi
    162 
    163 echo "25" >> $HELP_PROGRESS_BAR
    164 echo "# $MSG_ZENITY_MOODLE_7"  >> $HELP_PROGRESS_BAR
    165 #Copy lang files in var/lib/moodle
    166 if [ -d "/var/lib/moodle" ]; then
    167         if [ -d "/usr/share/lliurex-moodle/lang" ]; then
    168                 cp -r /usr/share/lliurex-moodle/lang /var/lib/moodle/
    169                 chown -R www-data:www-data /var/lib/moodle/lang || true
    170         fi
    171 fi             
    172 
    173 #Configuring Apache
    174 echo "30" >> $HELP_PROGRESS_BAR
    175 echo "# $MSG_ZENITY_MOODLE_3" >> $HELP_PROGRESS_BAR
    176 #if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
    177 #       . /usr/share/apache2/apache2-maintscript-helper
    178 #       apache2_invoke ensite moodle
    179 #fi
    180 #maintainer script substitution to userland script
    181 a2ensite moodle
    182 
    183 echo "50" >> $HELP_PROGRESS_BAR
    184 echo "# $MSG_ZENITY_MOODLE_4" >> $HELP_PROGRESS_BAR
    185 # create file moodle in /var/lib/dnsmasq/config
    186 # if [ ! -d /var/lib/dnsmasq/config ]; then
    187 #       mkdir -p /var/lib/dnsmasq/config
    188 # fi
    189 # INTERNA=$(n4d-vars getvalues INTERNAL_DOMAIN | cut -d"'" -f2)
    190 # if [ -z $INTERNA ]; then
    191 #       echo "Error getting INTERNAL_DOMAIN"
    192 #       echo "It's left to set dnsmasq for moodle"
    193 # else
    194         # if [ ! -d /var/lib/dnsmasq/config ]; then
    195         #       mkdir -p /var/lib/dnsmasq/config
    196         # fi
    197         # hostname=$(hostname)
    198         #echo "cname=moodle."$INTERNA",$hostname."$INTERNA > /var/lib/dnsmasq/config/moodle
    199 MAGIC_KEY=$(cat /etc/n4d/key)
    200 n4d-client -h localhost -k $MAGIC_KEY -m set_internal_dns_entry -c Dnsmasq -a moodle
    201        
    202 #fi
    203 echo "70"  >> $HELP_PROGRESS_BAR
    204 echo "# $MSG_ZENITY_MOODLE_5"  >> $HELP_PROGRESS_BAR
    205 #create ldap users in moodle
    206 if [ -n $INTERNA ]; then
    207         /usr/bin/python /usr/share/lliurex-moodle/update_moodle_sql.py
    208         /usr/bin/python /usr/share/lliurex-moodle/sync_ldap_users.py
    209 fi
    210 echo "85"  >> $HELP_PROGRESS_BAR
    211 echo "# $MSG_ZENITY_MOODLE_6"  >> $HELP_PROGRESS_BAR
    212 
    213 a2ensite moodle || true
    214 
    215 service apache2 restart || true
    216 
    217 service dnsmasq restart || true
    218 
    219 #change permissions in /var/lib/moodle
    220 
    221 if [ -d "/var/lib/moodle" ]; then
    222                 chown -R www-data:www-data /var/lib/moodle || true
    223 
    224 fi     
    225 
    226 echo "100"  >> $HELP_PROGRESS_BAR
    227 
    228 
    229 zenity --info --title="ZERO-MOODLE" --text="$MSG_MOODLE_INSTALLED" &
    230 
    231 #su $USER firefox http://moodle/ || true
    232 rm $HELP_PROGRESS_BAR
    233 #Kill tail -f process
    234 kill -9 $(ps axf | grep tail | grep $HELP_PROGRESS_BAR | awk '{print $1}')
    235 zero-center set-configured zero-lliurex-moodle   
    236 zero-center remove-pulsating-color zero-lliurex-moodle
    237 
    238 exit 0
     3epi-gtk /usr/share/zero-lliurex-moodle/lliurex-moodle.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-promethean.zmds/zero-lliurex-promethean.app

    r6971 r7353  
    44Name[ca_ES@valencia.UTF-8]=Instal·lació dels drivers per a Promethean
    55Name[ca_ES@valencia]=Instal·lació dels drivers per a Promethean
    6 Name[ca_ES]=Instal·lació dels drivers per a Promethean
    7 Comment=Installation of drivers for the promethean boards
    8 Comment[es]=Asistente de instalación de drivers para las pizarras promethean
     6Name[ca_ES]=Instal·lació del Skype
     7Comment=Installation of dirvers for the promethean boards
     8Comment[es]=Asistente de instalación de dirvers para las pizarras promethean
    99Comment[ca_ES@valencia]=Auxiliar d'instal·lació dels drivers per a promethean
    1010Icon=zero-lliurex-promethean
    1111Groups=*
    12 Category=Software
     12Category=Support
    1313ScriptPath=zero-lliurex-promethean.zmd
    1414Using=pe
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-promethean.zmds/zero-lliurex-promethean.zmd

    r6685 r7353  
    11#!/bin/bash
    2 #set -x
    3 
    4 export TEXTDOMAIN="zero-lliurex-promethean"
    5 #VARIABLES GLOBALES
    6 PACKAGE_NAME="promethean"
    7 PACKAGE_LIST="/usr/share/zero-lliurex-installers/zero-lliurex-promethean-files"
    8 promethean_LOG="/tmp/zero-promethean.log"
    9 ZERO_LOG="/tmp/zero-installer.log"
    10 MSG_NO_INTERNET=$(gettext "No Internet Connection has been detected. Please, check it")
    11 PROMETHEAN_REPO_FILE="/etc/apt/sources.list.d/promethean.list"
    12 MSG_REINSTALL=$(gettext "is already installed in your system, now we are goig to remove it and install it again.")
    13 MSG_INSTALL=$(gettext "This will install the drivers for the Promethean board. Continue?")
    14 MSG_INSTALL_KO=$(gettext "has a problem to be installed in your system, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums")
    15 MSG_INSTALL_OK=$(gettext "has been installed in your system, and you can see the resume in")
    16 
    17 
    18 if ! (zenity --question --text="$MSG_INSTALL")
    19 then
    20         exit 1
    21 fi
    22 
    23 ####FUNCIONES
    24 
    25         #FUNCION QUE TESTEA SI UN PAQUETE ESTA INSTALADO, BORRANDOLO EN CASO AFIRMATIVO
    26         function test_install {
    27                 #Testeamos si el paquete esta instalado, no haciendo nada en el caso afirmativo o instalandolo en el caso negativo.
    28                 TEST=$( dpkg-query -s $1 2> /dev/null| grep Status | cut -d " " -f 4 )
    29                 if [ "$TEST" = 'installed' ]; then
    30                         echo " " >> $promethean_LOG
    31                         echo "Package $1 already installed, we have to uninstall it" >> $promethean_LOG
    32                         echo "Package $1 already installed, we have to uninstall it"
    33                         su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' '$1 $MSG_REINSTALL'" $USER
    34                         zero-installer remove $1
    35                         cat $ZERO_LOG >> $promethean_LOG
    36                 fi
    37 
    38         }
    39 
    40 
    41 ####MAIN
    42 zero-center add-pulsating-color zero-lliurex-promethean
    43 #PRIMERAMENTE COMPROBAMOS QUE HAY CONEXION DE RED
    44 rc=0
    45 zero-testnet || rc=1
    46 if [ $rc -eq 0 ]
    47         then
    48                 #Log para el zero-center
    49                 if [ -f $promethean_LOG ]; then
    50                         rm  $promethean_LOG
    51                 fi
    52 
    53                 TMPDIR=$(mktemp -d)
    54 
    55                 wget 'http://activsoftware.co.uk/linux/repos/driver/PrometheanLtd.asc' -P ${TMPDIR}
    56                 apt-key add ${TMPDIR}/PrometheanLtd.asc
    57                 wget 'http://activsoftware.co.uk/linux/repos/PrometheanLtd.asc' -P ${TMPDIR}
    58                 apt-key add ${TMPDIR}/PrometheanLtd.asc
    59                 echo 'deb http://activsoftware.co.uk/linux/repos/driver/ubuntu xenial oss non-oss' > $PROMETHEAN_REPO_FILE
    60                 echo 'deb http://activsoftware.co.uk/linux/repos/ubuntu xenial non-oss' >> $PROMETHEAN_REPO_FILE
    61 
    62                 zero-repos-update
    63 
    64                 #CREAMOS UNA LISTA CON LOS PROGRAMAS NECESARIOS Y LOS TESTEAMOS SI ESTAN INSTALADOS
    65                 LISTA=( $( awk '{print $1}' $PACKAGE_LIST ) )
    66                 echo "The package list is....."
    67                 echo ${LISTA[@]}
    68                         for i in "${LISTA[@]}"; do
    69                                 echo "Now test_install $i"
    70                                 test_install $i
    71                         done
    72 
    73                 #YA SABEMOS QUE LOS PROGRAMAS ESTAN DESINSTALADOS, VAMOS A INSTALARLOS
    74 
    75                         for i in "${LISTA[@]}"; do
    76                                 echo " " >> $promethean_LOG
    77                                 echo "If it's necessary zero-installer install or not the package $i" >> $promethean_LOG
    78                                 echo "If it's necessary zero-installer install or not the package $i"
    79                                 zero-installer install $i
    80 
    81                                 #Me guardo el fichero de los logs por si algo fallase o para revisarlo
    82                                 cat $ZERO_LOG >> $promethean_LOG
    83                         done
    84                 #Comprobamos que se esta instalado porque sino abortamos la instalacion
    85                         for i in "${LISTA[@]}"; do
    86                                 TEST=$( dpkg-query -s $i 2> /dev/null| grep Status | cut -d " " -f 4 )
    87                                 if [ "$TEST" != 'installed' ]; then
    88                                         zenity --info --title="Zero-installer" --text="$i $MSG_INSTALL_KO" > /dev/null 2>&1 &
    89                                         zero-center remove-pulsating-color zero-lliurex-promethean
    90                                         zero-center set-non-configured zero-lliurex-promethean
    91                                         exit 1
    92                                 fi
    93                         done
    94                         #If this file exists activinspire won't boot
    95                         rm /dev/shm/sem.promethean 2>/dev/null
    96                         apt-key del PrometheanLtd
    97                         rm -f $PROMETHEAN_REPO_FILE
    98                         zenity --info --title="Zero-installer" --text="$PACKAGE_NAME $MSG_INSTALL_OK $promethean_LOG" &
    99                         zero-center remove-pulsating-color zero-lliurex-promethean
    100                         zero-center set-configured zero-lliurex-promethean
    101                         exit 0
    102         else
    103                 zenity --error --text="$MSG_NO_INTERNET"
    104                 zero-center remove-pulsating-color zero-lliurex-promethean
    105                 exit 1
    106 fi
     2epi-gtk /usr/share/zero-lliurex-promethean/promethean.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-pyromaths.zmds/zero-lliurex-pyromaths.zmd

    r3616 r7353  
    11#!/bin/bash
    22
    3 #synaptic --hide-main-window --non-interactive  --set-selections-file /usr/share/lliurex-zero-installers/install-pyromaths
    4 #zero-center set-configured install-pyromaths
    5 #exit 0
    6 
    7 
    8 PACKAGE_LIST="/usr/share/zero-lliurex-installers/zero-lliurex-pyromaths"
    9 PACKAGE_NAME="Pyromaths"
    10 
    11 zero-center add-pulsating-color zero-lliurex-pyromaths
    12 zero-reinstall-list "$PACKAGE_LIST" "$PACKAGE_NAME"
    13 
    14 #Testeamos si todo se instalo como esperabamos, sino mostramos el error
    15 LISTA=( $( cat $PACKAGE_LIST | awk '{print $1}' ) )
    16 
    17         for i in "${LISTA[@]}"; do
    18                 TEST=$( dpkg-query -s $i 2> /dev/null| grep Status | cut -d " " -f 4 )
    19                 if [ "$TEST" != 'installed' ]; then
    20                         #zenity --info --title="Zero-installer" --text="Package $PACKAGE_NAME is not installed in your system, please retry again and test if you have acess to repositories in net, or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums" > /dev/null 2>&1 &
    21                         su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' 'Package $PACKAGE_NAME is not installed in your system, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums'" $USER
    22                         zero-center remove-pulsating-color zero-lliurex-pyromaths
    23                         zero-center set-non-configured zero-lliurex-pyromaths
    24                         exit 1         
    25                 fi
    26         done
    27 
    28 #zenity --info --title="Zenity-installer" --text="$PACKAGE_NAME is installed in your system, and you can see the resume in /tmp/zero-install.log" &
    29 zero-center remove-pulsating-color zero-lliurex-pyromaths
    30 zero-center set-configured zero-lliurex-pyromaths
    31 
    32 
    33 exit 0
     3epi-gtk /usr/share/zero-lliurex-pyromaths/pyromaths.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-skype.zmds/zero-lliurex-skype.app

    r5752 r7353  
    1010Icon=zero-lliurex-skype
    1111Groups=*
    12 Category=Software
     12Category=Internet
    1313ScriptPath=zero-lliurex-skype.zmd
    1414Using=pe
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-skype.zmds/zero-lliurex-skype.zmd

    r5621 r7353  
    11#!/bin/bash
    22
    3 #VARIABLES GLOBALES
    4 PACKAGE_NAME="skype"
    5 PACKAGE_LIST="/usr/share/zero-lliurex-installers/zero-lliurex-skype-files"
    6 SKYPE_LOG="/tmp/zero-skype.log"
    7 ZERO_LOG="/tmp/zero-installer.log"
    8 MSG_NO_INTERNET=$(gettext "No Internet Connection has been detected. Please, check it")
    9 SKYPE_REPO_FILE="/etc/apt/sources.list.d/skype-stable.list"
    10 
    11 ####FUNCIONES
    12 
    13         #FUNCION QUE TESTEA SI UN PAQUETE ESTA INSTALADO, BORRANDOLO EN CASO AFIRMATIVO
    14         function test_install {
    15                 #Testeamos si el paquete esta instalado, no haciendo nada en el caso afirmativo o instalandolo en el caso negativo.
    16                 TEST=$( dpkg-query -s $1 2> /dev/null| grep Status | cut -d " " -f 4 )
    17                 if [ "$TEST" = 'installed' ]; then
    18                         echo " " >> $SKYPE_LOG
    19                         echo "Package $1 already installed, we have to uninstall it" >> $SKYPE_LOG
    20                         echo "Package $1 already installed, we have to uninstall it"
    21                         su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' '$1 is already installed in your system, now we are goig to remove it and install it again.'" $USER
    22                         zero-installer remove $1
    23                         cat $ZERO_LOG >> $SKYPE_LOG
    24                 fi
    25 
    26         }
    27 
    28 
    29 ####MAIN
    30 zero-center add-pulsating-color zero-lliurex-skype
    31 #PRIMERAMENTE COMPROBAMOS QUE HAY CONEXION DE RED
    32 rc=0
    33 #host www.google.es|| rc=1
    34 zero-testnet || rc=1
    35 if [ $rc -eq 0 ]
    36         then
    37                 #Log para el zero-center
    38                 if [ -f $SKYPE_LOG ]; then
    39                         rm  $SKYPE_LOG
    40                 fi
    41 
    42                 echo "deb https://repo.skype.com/deb stable main" > $SKYPE_REPO_FILE
    43 #               curl https://repo.skype.com/data/SKYPE-GPG-KEY | sudo apt-key add -
    44                 zero-repos-update
    45 
    46                 #CREAMOS UNA LISTA CON LOS PROGRAMAS NECESARIOS Y LOS TESTEAMOS SI ESTAN INSTALADOS
    47                 LISTA=( $( cat $PACKAGE_LIST | awk '{print $1}' ) )
    48                 echo "The package list is....."
    49                 echo ${LISTA[@]}
    50                         for i in "${LISTA[@]}"; do
    51                                 echo "Now test_install $i"
    52                                 test_install $i
    53                         done
    54 
    55                 #YA SABEMOS QUE LOS PROGRAMAS ESTAN DESINSTALADOS, VAMOS A INSTALARLOS
    56 
    57                         for i in "${LISTA[@]}"; do
    58                                 echo " " >> $SKYPE_LOG
    59                                 echo "If it's necessary zero-installer install or not the package $i" >> $SKYPE_LOG
    60                                 echo "If it's necessary zero-installer install or not the package $i"
    61                                 zero-installer install $i
    62                                 #Me guardo el fichero de los logs por si algo fallase o para revisarlo
    63                                 cat $ZERO_LOG >> $SKYPE_LOG
    64                         done
    65                
    66                 #Comprobamos que se esta instalado porque sino abortamos la instalacion
    67                         for i in "${LISTA[@]}"; do
    68                                 TEST=$( dpkg-query -s $i 2> /dev/null| grep Status | cut -d " " -f 4 )
    69                                 if [ "$TEST" != 'installed' ]; then
    70                                         zenity --info --title="Zero-installer" --text="Your package $i has a problem to be installed in your system, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums" > /dev/null 2>&1 &
    71                                         zero-center remove-pulsating-color zero-lliurex-skype
    72                                         zero-center set-non-configured zero-lliurex-skype
    73                                         exit 1
    74                                 fi
    75                         done
    76                         rm -f $SKYPE_REPO_FILE
    77                         zenity --info --title="Zero-installer" --text="Your package $PACKAGE_NAME has been installed in your system, and you can see the resume in $SKYPE_LOG" &
    78                         zero-center remove-pulsating-color zero-lliurex-skype
    79                         zero-center set-configured zero-lliurex-skype
    80                         exit 0
    81         else
    82                 zenity --error --text="$MSG_NO_INTERNET"
    83                 zero-center remove-pulsating-color zero-lliurex-skype
    84                 exit 1
    85 fi
     3epi-gtk /usr/share/zero-lliurex-skype/skype.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-spotify.zmds/zero-lliurex-spotify.app

    r5752 r7353  
    1010Icon=zero-lliurex-spotify
    1111Groups=*
    12 Category=Software
     12Category=Internet
    1313ScriptPath=zero-lliurex-spotify.zmd
    1414Using=pe
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-spotify.zmds/zero-lliurex-spotify.zmd

    r5748 r7353  
    11#!/bin/bash
    22
    3 #VARIABLES GLOBALES
    4 PACKAGE_NAME="spotify-client"
    5 PACKAGE_LIST="/usr/share/zero-lliurex-installers/zero-lliurex-spotify-files"
    6 SPOTIFY_LOG="/tmp/zero-spotify.log"
    7 ZERO_LOG="/tmp/zero-installer.log"
    8 MSG_NO_INTERNET=$(gettext "No Internet Connection has been detected. Please, check it")
    9 SPOTIFY_REPO_FILE="/etc/apt/sources.list.d/spotify.list"
    10 SPOTIFY_DESKTOP="/usr/share/mate/applications/spotify.desktop"
    11 
    12 ####FUNCIONES
    13 
    14         #FUNCION QUE TESTEA SI UN PAQUETE ESTA INSTALADO, BORRANDOLO EN CASO AFIRMATIVO
    15         function test_install {
    16                 #Testeamos si el paquete esta instalado, no haciendo nada en el caso afirmativo o instalandolo en el caso negativo.
    17                 TEST=$( dpkg-query -s $1 2> /dev/null| grep Status | cut -d " " -f 4 )
    18                 if [ "$TEST" = 'installed' ]; then
    19                         echo " " >> $SPOTIFY_LOG
    20                         echo "Package $1 already installed, we have to uninstall it" >> $SPOTIFY_LOG
    21                         echo "Package $1 already installed, we have to uninstall it"
    22                         su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' '$1 is already installed in your system, now we are goig to remove it and install it again.'" $USER
    23                         zero-installer remove $1
    24                         cat $ZERO_LOG >> $SPOTIFY_LOG
    25                 fi
    26 
    27         }
    28 
    29 
    30 ####MAIN
    31 zero-center add-pulsating-color zero-lliurex-spotify
    32 #PRIMERAMENTE COMPROBAMOS QUE HAY CONEXION DE RED
    33 rc=0
    34 #host www.google.es|| rc=1
    35 zero-testnet || rc=1
    36 if [ $rc -eq 0 ]
    37         then
    38                 #Log para el zero-center
    39                 if [ -f $SPOTIFY_LOG ]; then
    40                         rm  $SPOTIFY_LOG
    41                 fi
    42 
    43                 sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys BBEBDCB318AD50EC6865090613B00F1FD2C19886 0DF731E45CE24F27EEEB1450EFDC8610341D9410
    44                 echo "deb http://repository.spotify.com stable non-free" > $SPOTIFY_REPO_FILE
    45                 zero-repos-update
    46 
    47                 #CREAMOS UNA LISTA CON LOS PROGRAMAS NECESARIOS Y LOS TESTEAMOS SI ESTAN INSTALADOS
    48                 LISTA=( $( cat $PACKAGE_LIST | awk '{print $1}' ) )
    49                 echo "The package list is....."
    50                 echo ${LISTA[@]}
    51                         for i in "${LISTA[@]}"; do
    52                                 echo "Now test_install $i"
    53                                 test_install $i
    54                         done
    55 
    56                 #YA SABEMOS QUE LOS PROGRAMAS ESTAN DESINSTALADOS, VAMOS A INSTALARLOS
    57 
    58                         for i in "${LISTA[@]}"; do
    59                                 echo " " >> $SPOTIFY_LOG
    60                                 echo "If it's necessary zero-installer install or not the package $i" >> $SPOTIFY_LOG
    61                                 echo "If it's necessary zero-installer install or not the package $i"
    62                                 zero-installer install $i
    63                                 #Me guardo el fichero de los logs por si algo fallase o para revisarlo
    64                                 cat $ZERO_LOG >> $SPOTIFY_LOG
    65                         done
    66                
    67                 #Comprobamos que se esta instalado porque sino abortamos la instalacion
    68                         for i in "${LISTA[@]}"; do
    69                                 TEST=$( dpkg-query -s $i 2> /dev/null| grep Status | cut -d " " -f 4 )
    70                                 if [ "$TEST" != 'installed' ]; then
    71                                         zenity --info --title="Zero-installer" --text="Your package $i has a problem to be installed in your system, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums" > /dev/null 2>&1 &
    72                                         zero-center remove-pulsating-color zero-lliurex-spotify
    73                                         zero-center set-non-configured zero-lliurex-spotify
    74                                         exit 1
    75                                 else
    76                                         #Elimino el desktop para utilizar el proporcionado por lliurex-desktops-keeper
    77                                         if [ -f $SPOTIFY_DESKTOP ]; then
    78                                                 rm -f $SPOTIFY_DESKTOP
    79                                         fi     
    80 
    81                                 fi
    82                         done
    83                         rm -f $SPOTIFY_REPO_FILE
    84                         zenity --info --title="Zero-installer" --text="Your package $PACKAGE_NAME has been installed in your system, and you can see the resume in $SPOTIFY_LOG" &
    85                         zero-center remove-pulsating-color zero-lliurex-spotify
    86                         zero-center set-configured zero-lliurex-spotify
    87                         exit 0
    88         else
    89                 zenity --error --text="$MSG_NO_INTERNET"
    90                 zero-center remove-pulsating-color zero-lliurex-spotify
    91                 exit 1
    92 fi
     3epi-gtk /usr/share/zero-lliurex-spotify/spotify-client.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-technology.zmds/zero-lliurex-technology.zmd

    r3622 r7353  
    11#!/bin/bash
    22
    3 #VARIABLES GLOBALES
    4 PACKAGE_NAME="technology"
    5 PACKAGE_LIST="/usr/share/zero-lliurex-installers/zero-lliurex-${PACKAGE_NAME}-files"
    6 
    7 
    8 
    9 
    10 ####MAIN
    11 zero-center add-pulsating-color zero-lliurex-technology
    12 
    13 zero-repos-update
    14 zero-reinstall-list "$PACKAGE_LIST" "$PACKAGE_NAME"
    15 
    16 zero-center remove-pulsating-color zero-lliurex-technology
    17 zero-center set-configured zero-lliurex-technology
    18 
    19 exit 0
     3epi-gtk /usr/share/zero-lliurex-technology/technology.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-telegram.zmds/zero-lliurex-telegram.app

    r5670 r7353  
    88Comment[ca_ES]=Instal·lació del Telegram per a Lliurex
    99Icon=zero-lliurex-telegram
    10 Category=Software
     10Category=Internet
    1111ScriptPath=zero-lliurex-telegram.zmd
    1212Using=pe
    1313Locks=zero-lliurex-telegram
    1414Groups=adm;admin;admins;teachers
    15 Service=True
     15Service=False
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-telegram.zmds/zero-lliurex-telegram.zmd

    r6047 r7353  
    11#!/bin/bash
    22#set -x
    3 PACKAGE_NAME="Telegram"
    4 
    5 #Get last version
    6 TCH_URL="https://desktop.telegram.org/changelog"
    7 TVERSION=$(wget -qO- $TCH_URL | sed -e 's/<[^>]*>//g;/^\s*$/d' | grep -o 'v [0-9.]*' -m1 | cut -d ' ' -f2)
    8 
    9 if [[ $(arch) == "x86_64" ]]
    10 then
    11         TSETUP="tsetup.${TVERSION}.tar.xz"
    12         TURL="https://updates.tdesktop.com/tlinux/"
    13 else
    14         TSETUP="tsetup32.${TVERSION}.tar.xz"
    15         TURL="https://updates.tdesktop.com/tlinux32/"
    16 fi
    17 
    18 #zero-center add-pulsating-color lliurex-zero-installer-telegram
    19 
    20 export TEXTDOMAIN="lliurex-zero-installer-telegram"
    21 zenity --question --title="Telegram" --text="$(gettext "Welcome to telegram installer for Lliurex\nThis will install Telegram on your computer. Continue?\n")"
    22 
    23 if [ $? -eq 0 ]
    24 then
    25         USERHOME=$(getent passwd $USER | cut -f6 -d ':')
    26         BINDIR=$USERHOME"/.local/bin"
    27         DESTDIR=$BINDIR"/telegram"
    28         mkdir -p $DESTDIR
    29         zero-lliurex-wget ${TURL}${TSETUP} ${DESTDIR}
    30         if [ -s ${DESTDIR}"/"${TSETUP} ]
    31         then
    32                 FIRSTPWD=$PWD
    33                 cd $DESTDIR
    34                 tar -Jxf $TSETUP
    35                 #Get user's main group
    36                 USER_GR=$(id -g -n ${USER})
    37                 chown -R ${USER}:${USER_GR} $BINDIR
    38                 if [ $? -eq 0 ]
    39                 then
    40                 su -c "notify-send -t 2000 -u normal -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' 'Package $PACKAGE_NAME has been installed in your system,'" $USER   
    41                         zero-center set-configured zero-lliurex-telegram
    42                 else
    43                 su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' 'Package $PACKAGE_NAME is not installed in your system, please  retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums'" $USER   
    44                         rm -r $DESTDIR
    45                 fi
    46                 cd $FIRSTPWD
    47                 su $USER -c /usr/bin/telegram
    48         else
    49                 su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' 'Package $PACKAGE_NAME is not installed in your system, please  retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums'" $USER   
    50                 rm -fr $DESTDIR
    51         fi
    52 fi
    53 zero-center remove-pulsating-color lliurex-zero-installer-telegram
    54 exit 0
     3epi-gtk /usr/share/zero-lliurex-telegram/telegram.epi
  • zero-lliurex-installers/trunk/fuentes/zero-lliurex-wine64.zmds/zero-lliurex-wine64.zmd

    r3618 r7353  
    11#!/bin/bash
    22
    3 #VARIABLES GLOBALES
    4 PACKAGE_NAME="wine64"
    5 PACKAGE_LIST="/usr/share/zero-lliurex-installers/zero-lliurex-wine64-files"
    6 WINE_LOG="/tmp/zero-wine64.log"
    7 ZERO_LOG="/tmp/zero-installer.log"
    8 MSG_NO_INTERNET=$(gettext "No Internet Connection has been detected. Please, check it")
    9 
    10 
    11 ####FUNCIONES
    12 
    13         #FUNCION QUE TESTEA SI UN PAQUETE ESTA INSTALADO, BORRANDOLO EN CASO AFIRMATIVO
    14         function test_install {
    15                 #Testeamos si el paquete esta instalado, no haciendo nada en el caso afirmativo o instalandolo en el caso negativo.
    16                 TEST=$( dpkg-query -s $1 2> /dev/null| grep Status | cut -d " " -f 4 )
    17                 if [ "$TEST" = 'installed' ]; then
    18                         echo " " >> $WINE_LOG
    19                         echo "Package $1 already installed, we have to uninstall it" >> $WINE_LOG
    20                         echo "Package $1 already installed, we have to uninstall it"
    21                         su -c "notify-send -t 2000 -u critical -i /usr/share/icons/lliurex-neu/scalable/apps/zero-center.svg 'Zero-Installer' '$1 is already installed in your system, now we are goig to remove it and install it again.'" $USER
    22                         zero-installer remove $1
    23                         cat $ZERO_LOG >> $WINE_LOG
    24                 fi
    25 
    26         }
    27 
    28 
    29 ####MAIN
    30 zero-center add-pulsating-color zero-lliurex-wine64
    31 #PRIMERAMENTE COMPROBAMOS QUE HAY CONEXION DE RED
    32 rc=0
    33 #host www.google.es|| rc=1
    34 zero-testnet || rc=1
    35 if [ $rc -eq 0 ]
    36         then
    37                 #Log para el zero-center
    38                 if [ -f $WINE_LOG ]; then
    39                         rm  $WINE_LOG
    40                 fi
    41 
    42                 #Add 32bits architecture support
    43                 echo "Adding i386 architecture"
    44                 dpkg --add-architecture i386
    45                 echo "Updating package list"
    46                 apt-get update
    47 
    48                 #CREAMOS UNA LISTA CON LOS PROGRAMAS NECESARIOS Y LOS TESTEAMOS SI ESTAN INSTALADOS
    49                 LISTA=( $( cat $PACKAGE_LIST | awk '{print $1}' ) )
    50                 echo "The package list is....."
    51                 echo ${LISTA[@]}
    52                         for i in "${LISTA[@]}"; do
    53                                 echo "Now test_install $i"
    54                                 test_install $i
    55                         done
    56 
    57                 #YA SABEMOS QUE LOS PROGRAMAS ESTAN DESINSTALADOS, VAMOS A INSTALARLOS
    58 
    59                         for i in "${LISTA[@]}"; do
    60                                 echo " " >> $WINE_LOG
    61                                 echo "If it's necessary zero-installer install or not the package $i" >> $WINE_LOG
    62                                 echo "If it's necessary zero-installer install or not the package $i"
    63                                 zero-installer install $i
    64                                 #Me guardo el fichero de los logs por si algo fallase o para revisarlo
    65                                 cat $ZERO_LOG >> $WINE_LOG
    66                         done
    67                
    68                 #Comprobamos que se esta instalado porque sino abortamos la instalacion
    69                         for i in "${LISTA[@]}"; do
    70                                 TEST=$( dpkg-query -s $i 2> /dev/null| grep Status | cut -d " " -f 4 )
    71                                 if [ "$TEST" != 'installed' ]; then
    72                                         zenity --info --title="Zero-installer" --text="Your package $i has a problem to be installed in your system, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums" > /dev/null 2>&1 &
    73                                         zero-center remove-pulsating-color zero-lliurex-wine64
    74                                         zero-center set-non-configured zero-lliurex-wine64
    75                                         exit 1
    76                                 fi
    77                         done
    78                         zenity --info --title="Zero-installer" --text="Your package $PACKAGE_NAME has been installed in your system, and you can see the resume in $WINE_LOG" &
    79                         zero-center remove-pulsating-color zero-lliurex-wine64
    80                         zero-center set-configured zero-lliurex-wine64
    81                         exit 0
    82         else
    83                 zenity --error --text="$MSG_NO_INTERNET"
    84                 zero-center remove-pulsating-color zero-lliurex-wine64
    85                 exit 1
    86 fi
     3epi-gtk /usr/share/zero-lliurex-wine64/wine64.epi
Note: See TracChangeset for help on using the changeset viewer.